Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRBand

All Superinterfaces:
  java.lang.Cloneable, JRChild, JRCloneable, JRElementGroup, JRVisitable

All Known Implementing Classes:
  JRBaseBand, JRDesignBand, JRFillBand

    public interface JRBand

extends JRElementGroup

Implementations of this interface represent various bands in the report template. A report can contain the following bands: background, title, summary, page header, page footer, last page footer, column header and column footer.

Version:
  $Id: JRBand.java 3466 2010-02-22 17:13:21Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  `JRSection`

Field Summary
`static java.lang.String` | `PROPERTY_SPLIT_TYPE`
`static java.lang.Byte` | `SPLIT_TYPE_IMMEDIATE` Deprecated. Replaced by `SplitTypeEnum.IMMEDIATE`.
`static java.lang.Byte` | `SPLIT_TYPE_PREVENT` Deprecated. Replaced by `SplitTypeEnum.PREVENT`.
`static java.lang.Byte` | `SPLIT_TYPE_STRETCH` Deprecated. Replaced by `SplitTypeEnum.STRETCH`.

Method Summary
`int` | `getHeight()`
`JRExpression` | `getPrintWhenExpression()` Returns the boolean expression that specifies if the band will be displayed.
`java.lang.Byte` | `getSplitType()` Deprecated. Replaced by `getSplitTypeValue()`.
`SplitTypeEnum` | `getSplitTypeValue()` Specifies the band split behavior.
`boolean` | `isSplitAllowed()` Deprecated. Replaced by `getSplitType()`.
`void` | `setSplitAllowed(boolean isSplitAllowed)` Deprecated. Replaced by `setSplitType(Byte)`.
`void` | `setSplitType(java.lang.Byte splitType)` Deprecated. Replaced by `setSplitType(SplitTypeEnum)`.
`void` | `setSplitType(SplitTypeEnum splitType)`

Methods inherited from interface net.sf.jasperreports.engine.JRElementGroup
`getChildren, getElementByKey, getElementGroup, getElements`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRVisitable
`visit`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### PROPERTY_SPLIT_TYPE

    static final java.lang.String PROPERTY_SPLIT_TYPE

See Also:
  Constant Field Values

### SPLIT_TYPE_STRETCH

    static final java.lang.Byte SPLIT_TYPE_STRETCH

  Deprecated. Replaced by `SplitTypeEnum.STRETCH`.
  The band is allowed to split, but never within its declared height. This means the band splits only when its content stretches.

### SPLIT_TYPE_PREVENT

    static final java.lang.Byte SPLIT_TYPE_PREVENT

  Deprecated. Replaced by `SplitTypeEnum.PREVENT`.
  Prevents the band from splitting on first break attempt. On subsequent pages/columns, the band is allowed to split, to avoid infinite loops.

### SPLIT_TYPE_IMMEDIATE

    static final java.lang.Byte SPLIT_TYPE_IMMEDIATE

  Deprecated. Replaced by `SplitTypeEnum.IMMEDIATE`.
  The band is allowed to split anywhere, as early as needed, but not before at least one element being printed on the current page/column.

Method Detail

### getHeight

    int getHeight()

### isSplitAllowed

    boolean isSplitAllowed()

  Deprecated. Replaced by `getSplitType()`.

  Specifies if the band can be split between two pages.

### setSplitAllowed

    void setSplitAllowed(boolean isSplitAllowed)

  Deprecated. Replaced by `setSplitType(Byte)`.

### getSplitType

    java.lang.Byte getSplitType()

  Deprecated. Replaced by `getSplitTypeValue()`.

  Specifies the band split behavior.

### getSplitTypeValue

    SplitTypeEnum getSplitTypeValue()

  Specifies the band split behavior.

### setSplitType

    void setSplitType(java.lang.Byte splitType)

  Deprecated. Replaced by `setSplitType(SplitTypeEnum)`.

### setSplitType

    void setSplitType(SplitTypeEnum splitType)

### getPrintWhenExpression

    JRExpression getPrintWhenExpression()

  Returns the boolean expression that specifies if the band will be displayed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com